summaryrefslogtreecommitdiffstats
path: root/libraries/perl-xml-namespacesupport
diff options
context:
space:
mode:
author Murat D. Kadirov <banderols@gmail.com>2010-05-11 22:54:23 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:54:23 +0200
commita92a2c5f2ab7093cca695f50490d48d81d1d9559 (patch)
tree81d86e9f1b8407055451ccab3024149e548f5546 /libraries/perl-xml-namespacesupport
parent61cf2ffa90deecb249738de7ff4e4a36eb9313d3 (diff)
downloadslackbuilds-a92a2c5f2ab7093cca695f50490d48d81d1d9559.tar.gz
slackbuilds-a92a2c5f2ab7093cca695f50490d48d81d1d9559.tar.xz
libraries/perl-xml-namespacesupport: Added to 12.1 repository
Diffstat (limited to 'libraries/perl-xml-namespacesupport')
-rw-r--r--libraries/perl-xml-namespacesupport/README3
-rw-r--r--libraries/perl-xml-namespacesupport/perl-xml-namespacesupport.SlackBuild55
-rw-r--r--libraries/perl-xml-namespacesupport/perl-xml-namespacesupport.info8
-rw-r--r--libraries/perl-xml-namespacesupport/slack-desc19
4 files changed, 85 insertions, 0 deletions
diff --git a/libraries/perl-xml-namespacesupport/README b/libraries/perl-xml-namespacesupport/README
new file mode 100644
index 0000000000..abe069c204
--- /dev/null
+++ b/libraries/perl-xml-namespacesupport/README
@@ -0,0 +1,3 @@
+XML::NamespaceSupport
+
+Simple generic namespace support class
diff --git a/libraries/perl-xml-namespacesupport/perl-xml-namespacesupport.SlackBuild b/libraries/perl-xml-namespacesupport/perl-xml-namespacesupport.SlackBuild
new file mode 100644
index 0000000000..2713806c0d
--- /dev/null
+++ b/libraries/perl-xml-namespacesupport/perl-xml-namespacesupport.SlackBuild
@@ -0,0 +1,55 @@
+#!/bin/sh
+
+# Slackware build script for perl-xml-namespacesupport
+
+# Written by Murat D. Kadirov <banderols@gmail.com>
+# Modified by SlackBuils.org
+
+PRGNAM=perl-xml-namespacesupport
+SRCNAM=XML-NamespaceSupport
+VERSION=1.09
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="Changes README"
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $SRCNAM-$VERSION
+tar -xzvf $CWD/$SRCNAM-$VERSION.tar.gz || exit 1
+cd $SRCNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+perl Makefile.PL || exit 1
+make || exit 1
+make install INSTALLDIRS=vendor DESTDIR=$PKG || exit 1
+
+mv $PKG/usr/share/man $PKG/usr && rm -rf $PKG/usr/share
+gzip -9 $PKG/usr/man/man3/* 2> /dev/null
+
+# Remove perlocal.pod and .packlist from $PKG
+( cd $PKG
+ find . -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f
+)
+
+# Remove empty directories
+find $PKG -depth -type d -empty -exec rm -rf {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+chmod 644 $PKG/usr/doc/$PRGNAM-$VERSION/*
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/perl-xml-namespacesupport/perl-xml-namespacesupport.info b/libraries/perl-xml-namespacesupport/perl-xml-namespacesupport.info
new file mode 100644
index 0000000000..841441994c
--- /dev/null
+++ b/libraries/perl-xml-namespacesupport/perl-xml-namespacesupport.info
@@ -0,0 +1,8 @@
+PRGNAM="perl-xml-namespacesupport"
+VERSION="1.09"
+HOMEPAGE="http://search.cpan.org/~rberjon/XML-NamespaceSupport-1.09/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/R/RB/RBERJON/XML-NamespaceSupport-1.09.tar.gz"
+MD5SUM="b0867d7b599d8a63ba630fa6227936fe"
+MAINTAINER="Murat D. Kadirov"
+EMAIL="banderols@gmail.com"
+APPROVED="dsomero"
diff --git a/libraries/perl-xml-namespacesupport/slack-desc b/libraries/perl-xml-namespacesupport/slack-desc
new file mode 100644
index 0000000000..06b3dad9ec
--- /dev/null
+++ b/libraries/perl-xml-namespacesupport/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------|
+perl-xml-namespacesupport: XML::NamespaceSupport (perl module)
+perl-xml-namespacesupport:
+perl-xml-namespacesupport: Simple generic namespace support class
+perl-xml-namespacesupport:
+perl-xml-namespacesupport:
+perl-xml-namespacesupport:
+perl-xml-namespacesupport:
+perl-xml-namespacesupport:
+perl-xml-namespacesupport:
+perl-xml-namespacesupport:
+perl-xml-namespacesupport: